Skip to main content
POST
Delete All User Data
Use this API to remove all user data from Velt. This will:
  • remove their access from all the documents and data in the organization.
  • remove them from @mention contact dropdown list.
  • remove them from @mentions where they were tagged.
  • remove all feature data created by the user. eg: comments, reactions etc.
  • This API may take up to 5 minutes to return a 202 response since it runs an asynchronous job to delete user data across the system.
  • To speed up this process, you can optionally provide the organizationIds where the user belongs.
  • The actual deletion of data can take upto 24 hours to complete.

Endpoint

POST https://api.velt.dev/v2/users/data/delete

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Request

Response

Success Response

Failure Response